# @lavadrop/ensure

[![npm license](http://img.shields.io/npm/l/@lavadrop/ensure.svg)](https://www.npmjs.org/package/@lavadrop/ensure)
[![Travis Build Status](https://img.shields.io/travis/jedmao/lavadrop.svg)](https://travis-ci.org/jedmao/lavadrop)
[![codecov](https://codecov.io/gh/jedmao/lavadrop/branch/master/graph/badge.svg)](https://codecov.io/gh/jedmao/lavadrop)
[![Try @lavadrop/ensure on RunKit](https://badge.runkitcdn.com/@lavadrop/ensure.svg)](https://npm.runkit.com/@lavadrop/ensure)

Part of a [library](../../../../) of zero-dependency npm modules that do just
one thing.

- 100% [TypeScript](http://www.typescriptlang.org/) support.
- It's not a party without [`Lavadrop`](../../../../)!

[![npm](https://nodei.co/npm/@lavadrop/ensure.svg?downloads=true)](https://nodei.co/npm/@lavadrop/ensure/)

min + gzip | 139 bytes

[source](https://github.com/jedmao/lavadrop/blob/master/src/packages/ensure/ensure.ts)

Ensures `value` is defined (i.e., neither `undefined` nor `null`).

## Usage

```ts
import ensure from '@lavadrop/ensure'

ensure(42)
// => 42
```

## Parameters

| Name      | Type     | Description |
| :-------- | :------- | :---------- |
| `value`   | `T`      |             |
| `message` | `string` |             |

### Type parameters

| Name |
| :--- |
| `T`  |

## Returns

The original `value`.

### Return type

```ts
NonNullable<T>
```
