'use strict';

/**
 * Ensures `value` is defined (i.e., neither `undefined` nor `null`).
 * @category Util
 * @returns The original `value`.
 * @example
ensure(42)
// => 42
 */
function ensure(
	value,
	message = `Expected 'value' to be defined, but received ${value}`,
) {
	if (value === undefined || value === null) {
		throw new TypeError(message)
	}
	return value
}

module.exports = ensure;
ensure.default = module.exports
